function setWeather () {
    var url="http://weather.yahooapis.com/forecastrss?p=JAXX0005&u=c";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null);	
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var i;
	
    if(element){
        for(i=0;i<element.childNodes.length;i++){
            if(element.childNodes[i].nodeName == nodeName) return i;
        }
    }

	return null;
}

function xml_responded (request) {
    var num_rss = findChild(request.responseXML, "rss");
    var elm_rss = request.responseXML.childNodes[num_rss];
    var num_channel = findChild(elm_rss, "channel");
    var elm_channel = elm_rss.childNodes[num_channel];
    var num_item = findChild(elm_channel, "item");
    var elm_item = elm_channel.childNodes[num_item];
    var num_yweather_condition = findChild(elm_item, "yweather:condition");
    var elm_yweather_condition = elm_item.childNodes[num_yweather_condition];
    var weather = elm_yweather_condition.getAttribute("text");
    
    document.getElementById("data").innerText = weather;
}
